| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Friends | List of all members
Ogre::InstancedGeometry::InstancedObject Class Reference

`#include <OgreInstancedGeometry.h>`

Inheritance diagram for Ogre::InstancedGeometry::InstancedObject:
[legend]

## Public Types
typedef vector< GeometryBucket * >::type | GeometryBucketList
| list of Geometry Buckets that contains the instanced object More...
enum | TransformSpace { TS_LOCAL, TS_PARENT, TS_WORLD }

## Public Member Functions
| InstancedObject (unsigned short index)
| InstancedObject (unsigned short index, SkeletonInstance *skeleton, AnimationStateSet *animations)
| ~InstancedObject ()
void | addBucketToList (GeometryBucket *bucket)
AnimationState * | getAnimationState (const String &name) const
GeometryBucketList & | getGeometryBucketList (void)
Matrix3 | getLocalAxes (void) const
Quaternion & | getOrientation (void)
const Vector3 & | getPosition (void) const
const Vector3 & | getScale () const
SkeletonInstance * | getSkeletonInstance (void)
void | needUpdate ()
void | pitch (const Radian &angle)
void | roll (const Radian &angle)
void | rotate (const Quaternion &q)
void | setOrientation (const Quaternion &q)
void | setPosition (const Vector3 &position)
void | setPositionAndOrientation (const Vector3 &p, const Quaternion &q)
void | setScale (const Vector3 &scale)
void | translate (const Matrix3 &axes, const Vector3 &move)
void | translate (const Vector3 &d)
void | updateAnimation (void)
void | yaw (const Radian &angle)

## Friends
class | GeometryBucket

## Member Typedef Documentation

## ◆ GeometryBucketList

typedef vector<GeometryBucket*>::type Ogre::InstancedGeometry::InstancedObject::GeometryBucketList

list of Geometry Buckets that contains the instanced object

## Member Enumeration Documentation

## ◆ TransformSpace

enum Ogre::InstancedGeometry::InstancedObject::TransformSpace

Enumerator
TS_LOCAL | Transform is relative to the local space.
TS_PARENT | Transform is relative to the space of the parent node.
TS_WORLD | Transform is relative to world space.

## Constructor & Destructor Documentation

## ◆ InstancedObject() [1/2]

Ogre::InstancedGeometry::InstancedObject::InstancedObject | ( | unsigned short | index | ) |

## ◆ InstancedObject() [2/2]

Ogre::InstancedGeometry::InstancedObject::InstancedObject | ( | unsigned short | index,
|  | SkeletonInstance * | skeleton,
|  | AnimationStateSet * | animations
| ) |  |

## ◆ ~InstancedObject()

Ogre::InstancedGeometry::InstancedObject::~InstancedObject | ( |  | ) |

## Member Function Documentation

## ◆ setPosition()

void Ogre::InstancedGeometry::InstancedObject::setPosition | ( | const Vector3 & | position | ) |

## ◆ getPosition()

const Vector3& Ogre::InstancedGeometry::InstancedObject::getPosition | ( | void |  | ) | const

## ◆ yaw()

void Ogre::InstancedGeometry::InstancedObject::yaw | ( | const Radian & | angle | ) |

## ◆ pitch()

void Ogre::InstancedGeometry::InstancedObject::pitch | ( | const Radian & | angle | ) |

## ◆ roll()

void Ogre::InstancedGeometry::InstancedObject::roll | ( | const Radian & | angle | ) |

## ◆ rotate()

void Ogre::InstancedGeometry::InstancedObject::rotate | ( | const Quaternion & | q | ) |

## ◆ setScale()

void Ogre::InstancedGeometry::InstancedObject::setScale | ( | const Vector3 & | scale | ) |

## ◆ getScale()

const Vector3& Ogre::InstancedGeometry::InstancedObject::getScale | ( |  | ) | const

## ◆ setOrientation()

void Ogre::InstancedGeometry::InstancedObject::setOrientation | ( | const Quaternion & | q | ) |

## ◆ setPositionAndOrientation()

void Ogre::InstancedGeometry::InstancedObject::setPositionAndOrientation | ( | const Vector3 & | p,
|  | const Quaternion & | q
| ) |  |

## ◆ getOrientation()

Quaternion& Ogre::InstancedGeometry::InstancedObject::getOrientation | ( | void |  | ) |

## ◆ addBucketToList()

void Ogre::InstancedGeometry::InstancedObject::addBucketToList | ( | GeometryBucket * | bucket | ) |

## ◆ needUpdate()

void Ogre::InstancedGeometry::InstancedObject::needUpdate | ( |  | ) |

## ◆ getGeometryBucketList()

GeometryBucketList& Ogre::InstancedGeometry::InstancedObject::getGeometryBucketList | ( | void |  | ) |
| inline

## ◆ translate() [1/2]

void Ogre::InstancedGeometry::InstancedObject::translate | ( | const Matrix3 & | axes,
|  | const Vector3 & | move
| ) |  |

## ◆ translate() [2/2]

void Ogre::InstancedGeometry::InstancedObject::translate | ( | const Vector3 & | d | ) |

## ◆ getLocalAxes()

Matrix3 Ogre::InstancedGeometry::InstancedObject::getLocalAxes | ( | void |  | ) | const

## ◆ updateAnimation()

void Ogre::InstancedGeometry::InstancedObject::updateAnimation | ( | void |  | ) |

## ◆ getAnimationState()

AnimationState* Ogre::InstancedGeometry::InstancedObject::getAnimationState | ( | const String & | name | ) | const

## ◆ getSkeletonInstance()

SkeletonInstance* Ogre::InstancedGeometry::InstancedObject::getSkeletonInstance | ( | void |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ GeometryBucket

friend class GeometryBucket
| friend

The documentation for this class was generated from the following file:

- OgreInstancedGeometry.h